<template>
	<view class="center plr-25">

		<view class="flex-column br-12 fs-28 mt-30" style="background: white;">
			<text class="fs-32 fw-700 mt-30" style="text-align: left;padding-left: 30rpx;">其他缴费</text>
			<text class="fs-28 mt-30" style="text-align: left;padding-left: 30rpx;">项目名称</text>
			<view class="flex-row-between mar-30 br-4 pad-25" style="background: #F2F2F2;">
				<input style="width: 100%;text-align: left;" placeholder="请输入项目名称" v-model="projectName" />
			</view>
			<text class="fs-28" style="text-align: left;padding-left: 30rpx;">项目描述</text>
			<view class="flex-row-between mar-30 br-4 pad-25" style="background: #F2F2F2;">
				<textarea style="width: 100%;text-align: left;height: 120rpx;" placeholder="请输入项目描述"
					v-model="projectInfo" />
			</view>

			<view class="flex-column br-12 fs-28 mt-20 pad-25" style="background: white;">
				<text class="fs-32 fw-700 mb-10" style="text-align: left;color: #000;"><text
						style="color: #FF2626;">*</text>缴费金额</text>
				<view>
					<view class="grid-container">
						<view @click="onClickPrice(index)" class="grid-item"
							:style="index==indexTab? 'color:#ffffff;background: #1FCA7C;':'color:#000000;;background:#F2F2F2;'"
							v-for="(item, index) in 6" :key="index">
							<text class="fs-32 fw-600 mtb-20">{{(index+1)*20+'元'}}</text>
						</view>
					</view>
				</view>
			</view>
		</view>
		<view class="fullscreen-btn" style="margin: 0;margin-top: 60rpx;" @click="onSubmit()">
			立即缴费
		</view>
		<view class="fullscreen-btn" style="margin: 0;margin-top: 20rpx;background: #D9D9D9;"
			@click="$wskj.to('/pagesMain/pages/jfjl?type=7')">
			缴费记录
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				indexTab: 0,
				type: 0,
				money: 20,
				projectName: '',
				projectInfo: '',

			};
		},
		onLoad(options) {
			this.type = options.type

		},
		methods: {
			onClickPrice(index) {
				this.indexTab = index
				this.money = (index + 1) * 20
			},
			onSubmit() {
				this.onCjdd()
			},
			onCjdd() {
				if (this.$wskj.isNull(this.projectName)) {
					this.$wskj.toast('请输入项目名称')
					return
				}
				if (this.$wskj.isNull(this.projectInfo)) {
					this.$wskj.toast('请输入项目描述')
					return
				}
				const params = {
					url: '/api/liveBill/add',
					loadingTip: '',
					data: {
						money: this.money,
						type: 7, //类型（1电费 2水费 3物业费 4车位管理费 5车位出租费 6储藏室出租 7其他费用）
						projectName: this.projectName,
						projectInfo: this.projectInfo,
					}
				}
				this.$request(params).then(res => {
					this.pay(res.data.billId)
				})
			},
			pay(orderId) {
				const params = {
					url: '/api/payRecord/pay',
					loadingTip: '',
					data: {
						orderId: orderId,
						amount: this.money,
						payBizCode: "PRESTORE",
					}
				}
				this.$request(params).then(res => {
					uni.requestPayment({
						provider: 'wxpay',
						appid: res.data.data.appId, // 微信开放平台 - 应用 - AppId，注意和微信小程序、公众号 AppId 可能不一致
						nonceStr: res.data.data.nonceStr, // 随机字符串
						package: res.data.data.package, // 固定值
						timeStamp: res.data.data.timeStamp, // 时间戳（单位：秒）
						paySign: res.data.data.paySign, // 签名，这里用的 MD5/RSA 签名
						signType: 'MD5',
						success: (res) => {

						},
						fail: (err) => {
							console.log(err);
						}
					});

				})
			}
		}
	};
</script>

<style>
	.center {
		height: 100vh;
		display: flex;
		flex-direction: column;
		background: #F2F2F2;
	}

	.grid-container {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-around; // 可以根据需求调整元素的水平排列方式，这里是均匀分布
		align-items: center; // 垂直方向居中对齐
	}

	.grid-item {
		width: 32%;
		height: 80rpx; // 宫格高度
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		background: #F2F2F2;
		border-radius: 12rpx;
		margin-top: 10rpx;
	}
</style>